package com.ruoyi.project.sems.service;

import java.util.List;
import com.ruoyi.project.sems.domain.TSpecReport;

import javax.servlet.http.HttpServletResponse;

/**
 * 特种设备报告Service接口
 *
 * @author Ly
 * @date 2024-07-17
 */
public interface ITSpecReportService
{
    /**
     * 查询特种设备报告
     *
     * @param id 特种设备报告ID
     * @return 特种设备报告
     */
    public TSpecReport selectTSpecReportById(Long id);

    /**
     * 查询特种设备报告列表
     *
     * @param tSpecReport 特种设备报告
     * @return 特种设备报告集合
     */
    public List<TSpecReport> selectTSpecReportList(TSpecReport tSpecReport );

    /**
     * 新增特种设备报告
     *
     * @param tSpecReport 特种设备报告
     * @return 结果
     */
    public int insertTSpecReport(TSpecReport tSpecReport , HttpServletResponse response);

    /**
     * 修改特种设备报告
     *
     * @param tSpecReport 特种设备报告
     * @return 结果
     */
    public int updateTSpecReport(TSpecReport tSpecReport);

    /**
     * 批量删除特种设备报告
     *
     * @param ids 需要删除的特种设备报告ID
     * @return 结果
     */
    public int deleteTSpecReportByIds(Long[] ids);

    /**
     * 删除特种设备报告信息
     *
     * @param id 特种设备报告ID
     * @return 结果
     */
    public int deleteTSpecReportById(Long id);
}
